import { jsx } from "react/jsx-runtime";
import { Motorcycle as Motorcycle$1 } from "@phosphor-icons/react/dist/ssr";
import { forwardRef } from "react";
import { ExperimentalIcon } from "../experimental/Icon.js";
const Motorcycle = forwardRef(
  ({ variant = "regular", ...props }, ref) => {
    return /* @__PURE__ */ jsx(ExperimentalIcon, { ref, "data-name": "Motorcycle", ...props, children: /* @__PURE__ */ jsx(Motorcycle$1, { weight: variant }) });
  }
);
Motorcycle.displayName = "Motorcycle";
Object.assign(Motorcycle, { isGdsIcon: true });
export {
  Motorcycle
};
